Retrieve Loader Extract Results
After submitting a request to extract data files from your Vault, you can query Vault to retrieve the results of a specified job task.
GET
/api/{version}/services/loader/{job_id}/tasks/{task_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
job_id | The id value of the requested extract job. Obtain this from the Extract Data Files request. |
task_id | The id value of the requested extract task. Obtain this from the Extract Data Files request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/services/loader/61907/tasks/2/resultsResponse
Section link for Responsefile,rendition_type__v,id,name__v,type__v
/61915/50/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,50,Facts about High Cholesterol Spring 2016,Promotional Material
/61915/8/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,8,ashley-harvey,PersonnelResponse Details
Section link for Response DetailsOn SUCCESS:
- If the Loader job task was successful, the response includes CSV output containing the results of a specific extract job task.
- If the Loader job task was unsuccessful, the response is blank. To view the failure log, log into your Vault, go to Admin > Operations > Job Status, and select the Job ID from the History section.
If the extract includes document or document version renditions, the CSV output contains paths to rendition files on your Vault's file staging. When an export includes multiple rendition types for a document or document version, the CSV output includes a separate row for each rendition type.